<solidify-empty-container (onEscape)="backToList()"
                          solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-archive-type-form #formPresentational
                                  *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                  [listMasterTypes]="listMasterTypesObs | async"
                                  [listMasterTypesName]="listMasterTypesNamesObs | async"
                                  (dirtyChange)="updateCanDeactivate($event)"
                                  (submitChange)="create($event)"
    ></dlcm-admin-archive-type-form>
  </div>
</solidify-empty-container>
